Subject: Re: linux-next: suspend tree build failure

From: Paul Mundt <[email-masked]>
Date: Wed, 19 Aug 2009 07:13:01 +0900

On Tue, Aug 18, 2009 at 11:43:32PM +0200, Rafael J. Wysocki wrote:
> On Tuesday 18 August 2009, Stephen Rothwell wrote:
> > Hi Rafael,
> 
> Hi,
> 
> > Today's linux-next build (i386 defconfig) failed like this:
> > 
> > drivers/base/power/main.c: In function 'device_pm_init':
> > drivers/base/power/main.c:59: error: 'struct dev_pm_info' has no member named 'lock'
> 
> Argh, that line shouldn't even be there.
> 
> > Caused by commit ea8e84f27325d9ddc7692f728a10e0a22cd59f52 ("PM: Introduce
> > core framework for run-time PM of I/O devices (rev. 17)") from the
> > suspend tree.  The i386 defconfig does not have CONFIG_PM_RUNTIME set but
> > does have CONFIG_PM_SLEEP=y ...
> > 
> > I have reverted that commit for today.
> > 
> > When you add a new CONFIG variable, it is worth doing test builds both
> > with it turned on and turned off ...
> 
> I tested it, but I broke the patch afterwards by mistake. :-(
> 
> Sorry for the trouble, I've just pushed an updated tree.
> 
Argh, and rebased in the process, again. This is now the second time in
as many days this has been rebased, meaning I have to throw away my topic
branch and re-create. I thought this was going to remain stable? I would
like the SH runtime PM code to get some coverage in -next, but I can't
merge it in to my tree if the suspend tree keeps rebasing every day.